function [coordinates] = hillClimbing(domain, neighboorDistance)

initialCoordinates = generateRandomCoordinates(domain);
value = func(initialCoordinates);
coordinates = initialCoordinates;
h = neighboorDistance; 
do 
	lastValue = value; 
	neighboors = getNeighborhood(coordinates,h,domain);
	for i = 1:length(neighboors)
		neighValue = func(neighboors(i).coordinates);
		if neighValue < value
			value = neighValue;
			coordinates = neighboors(i).coordinates;
		endif
	endfor 
until value != lastValue;
endfunction
